Login | Register
My pages Projects Community openCollabNet

Discussions > users > Re: [argouml-users] need help

argouml
Discussion topic

Back to topic list

Re: [argouml-users] need help

Author Bob Tarling <bob dot tarling at ntlworld dot com>
Full name Bob Tarling <bob dot tarling at ntlworld dot com>
Date 2004-02-20 11:26:10 PST
Message >I am using argouml 0.14. So what version of i18n is compatible with this version?
It looks like i18n-0.1.jar

In future please don't ask questions of this on the user list.

The user list is for questions on how to operate ArgoUML. Any questions to do with building/modifying should go to the dev list.

Regards

Bob.
  ----- Original Message -----
  From: Das, Debashis
  To: users at argouml dot tigris dot org
  Sent: Friday, February 20, 2004 7:05 PM
  Subject: RE: [argouml-users] need help


  Hi Bob:

  Thanks for the reply.

  I am using argouml 0.14. So what version of i18n is compatible with this version?

  I tried to use i18n 0.1.3 version (which I was downloaded from workingfrog.org) with argoUML 0.14. I could not run it. Although I was able to build it.

   

   

  Regards.

   

  -Deb

   

  -----Original Message-----
  From: Bob Tarling [mailto:bob.tarling@​ntlworld.com]
  Sent: Friday, February 20, 2004 1:54 PM
  To: users at argouml dot tigris dot org
  Subject: Re: [argouml-users] need help

   

  No, ArgoUML does not have the source code in order to modify such files.

   

  It sounds more like workingfrog have there releases and source snapshots mixed up.

   

  Nothing we can do here I'm afraid.

    ----- Original Message -----

    From: Das, Debashis

    To: users at argouml dot tigris dot org

    Sent: Friday, February 20, 2004 6:47 PM

    Subject: RE: [argouml-users] need help

     

    I understand that. But i18n.jar file which I have downloaded from argoUML site differs from that of workingfrog.org site.

    Argo has modified some files I believe. So how I get the source code for i18n.jar file which was packed in the agro 0.14 release.

    Any links or suggestions

    --Deb

     

     

    -----Original Message-----
    From: Bob Tarling [mailto:bob.tarling@​ntlworld.com]
    Sent: Friday, February 20, 2004 1:24 PM
    To: users at argouml dot tigris dot org
    Subject: Re: [argouml-users] need help

     

    i18n is not an ArgoUML project.

     

    You will have to contact workingfrog for support.

     

    Regards

     

    Bob.

      ----- Original Message -----

      From: Das, Debashis

      To: users at argouml dot tigris dot org

      Sent: Friday, February 20, 2004 5:46 PM

      Subject: [argouml-users] need help

       

      Hi:

      Here is my story. I have downloaded the ArgoUML 0.14 src code. I built it and able to run it without any problems.

      It comes with a i18n.jar file. I need to customize some code in that. So how can I get the correct source code of i18n module which is compatible with Argo 0.14?

       

      By the way I downloaded the i18n source version of 0.1.3 from workingfrog.org. I was able to build that but when I replaced the original i18n.jar (which came from argo download) with this one, I get the following exception

       

        [argouml] java.lang.NullPointerException

        [argouml] at org.workingfrog.i18n​.util.Localizer.loca​lize(Localizer.java:​1

      25)

        [argouml] at org.workingfrog.i18n​.util.Validator.chec​kValue(Validator.jav​a

      :175)

        [argouml] at org.workingfrog.i18n​.util.Validator.chec​k(Validator.java:97)​

        [argouml] at org.workingfrog.i18n​.util.Translator.loc​alize(Translator.jav​a

      :132)

        [argouml] at org.workingfrog.i18n​.util.Translator.che​ckValue(Translator.j​a

      va:160)

        [argouml] at org.workingfrog.i18n​.swing.I18NJFrame.se​tTitle(I18NJFrame.ja​v

      a:80)

        [argouml] at org.argouml.ui.Proje​ctBrowser.setTitle(P​rojectBrowser.java:4​3

      7)

        [argouml] at org.workingfrog.i18n​.swing.I18NJFrame.​<init>(I18NJFram​e.java:

      68)

        [argouml] at org.workingfrog.i18n​.swing.I18NJFrame.​<init>(I18NJFram​e.java:

      63)

        [argouml] at org.argouml.ui.Proje​ctBrowser.<init​>(ProjectBrowser.ja​va:180)

       

        [argouml] at org.argouml.ui.Proje​ctBrowser.getInstanc​e(ProjectBrowser.jav​a

      :990)

        [argouml] at org.argouml.applicat​ion.Main.initializeG​UI(Main.java:427)

        [argouml] at org.argouml.applicat​ion.Main.main(Main.j​ava:198)

        [argouml] Exception in thread "main"

       

       

      Any help would be greatly appreciated.

       

      Regards

      --Deb
Attachments

« Previous message in topic | 6 of 6 | Next message in topic »

Messages

Show all messages in topic

[argouml-users] need help "Das, Debashis" <Debashis dot Das at ugsplm dot com> "Das, Debashis" <Debashis dot Das at ugsplm dot com> 2004-02-20 09:46:50 PST
     Re: [argouml-users] need help Bob Tarling <bob dot tarling at ntlworld dot com> Bob Tarling <bob dot tarling at ntlworld dot com> 2004-02-20 10:23:47 PST
         RE: [argouml-users] need help "Das, Debashis" <Debashis dot Das at ugsplm dot com> "Das, Debashis" <Debashis dot Das at ugsplm dot com> 2004-02-20 10:47:59 PST
             Re: [argouml-users] need help Bob Tarling <bob dot tarling at ntlworld dot com> Bob Tarling <bob dot tarling at ntlworld dot com> 2004-02-20 10:54:12 PST
                 RE: [argouml-users] need help "Das, Debashis" <Debashis dot Das at ugsplm dot com> "Das, Debashis" <Debashis dot Das at ugsplm dot com> 2004-02-20 11:05:38 PST
                     Re: [argouml-users] need help Bob Tarling <bob dot tarling at ntlworld dot com> Bob Tarling <bob dot tarling at ntlworld dot com> 2004-02-20 11:26:10 PST
Messages per page: